<server>
	<!-- 计时器线程池大小-->
	<timerThreadPoolSize>2</timerThreadPoolSize>
	<!-- 协议包压缩门槛 （单位字节），当协议包大于设定的值则会进行压缩 -->
	<protocolCompression>100</protocolCompression>
	<!-- 读缓冲区类型  nio  Direct Buffer  或者  Heap Buffer-->
	<readBufferType>Heap</readBufferType>
	<!-- 写入冲区类型  nio  Direct Buffer  或者  Heap Buffer-->
	<writeBufferType>Heap</writeBufferType>
	<!-- 最大的数据包大小 -->
	<maxPacketSize>524288</maxPacketSize>
	<!-- 最大读取缓存大小 -->
	<maxReadBufferSize>1024</maxReadBufferSize>
	<!-- 最大写入缓存大小 -->
	<maxWriteBufferSize>32768</maxWriteBufferSize>
	<!-- 会话队列的大小-->
	<sessionPacketQueueSize>160</sessionPacketQueueSize>
	
	<!-- Thread Pool Size of the 3 main stages of the Bitswarm Engine -->
	<socketAcceptorThreadPoolSize>2</socketAcceptorThreadPoolSize>
	<socketReaderThreadPoolSize>3</socketReaderThreadPoolSize>
	<socketWriterThreadPoolSize>10</socketWriterThreadPoolSize>
	
	<!-- Enable disable Nagle algorithm on sockets, true == disable -->
	<tcpNoDelay>true</tcpNoDelay>
	<!-- 会话超时时间(单位秒)-->
	<sessionTimeout>15</sessionTimeout>
	
	<!-- Bind socket addresses -->
	<socketAddresses>
		<socket address="0.0.0.0" port="6842" type="TCP" />
	</socketAddresses>
	
	<!-- Ip addresses filter-->
	<ipFilter>
		<addressBlackList>
			<string>1.2.3.4</string>
		</addressBlackList>
		<addressWhiteList>
			<string>127.0.0.1</string>
		</addressWhiteList>
		<maxConnectionsPerAddress>10000</maxConnectionsPerAddress>
	</ipFilter>
	
	<webSocket>
	    <isActive>false</isActive>
	    <address>0.0.0.0</address>
	    <port>8080</port>
	</webSocket>
	
	<!-- Main extension class -->
	<extensionConfig>
		<name>extension - test</name>
		<className>extend.pk.EXMainServer</className>
	</extensionConfig>

	<!-- The system thread pool config -->
	<systemThreadPoolConfig>
		<name>Sys</name>
		<corePoolSize>4</corePoolSize>
		<maxPoolSize>16</maxPoolSize>
		<keepAliveTime>60000</keepAliveTime>
		<maxQueueSize>20000</maxQueueSize>
	</systemThreadPoolConfig>
	
	<!-- The extension thread pool config -->
	<extensionThreadPoolConfig>
		<name>Ext</name>
		<corePoolSize>4</corePoolSize>
		<maxPoolSize>16</maxPoolSize>
		<keepAliveTime>60000</keepAliveTime>
		<maxQueueSize>20000</maxQueueSize>
	</extensionThreadPoolConfig>
	
</server>